Update speaker settings
curl --request PUT \
--url https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"public_fields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({public_fields: ['<string>']})
};
fetch('https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings"
payload = { "public_fields": ["<string>"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'public_fields' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings"
payload := strings.NewReader("{\n \"public_fields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"allowed_fields": [
"<string>"
],
"public_fields": [
"<string>"
]
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "validation failed",
"fields": {}
}Speakers
Update speaker settings
Choose which profile fields are public. Needs speakers:write.
PUT
/
api
/
public
/
v1
/
events
/
{eventID}
/
speaker-settings
Update speaker settings
curl --request PUT \
--url https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"public_fields": [
"<string>"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({public_fields: ['<string>']})
};
fetch('https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings"
payload = { "public_fields": ["<string>"] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'public_fields' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ems-api.aventia.africa/api/public/v1/events/{eventID}/speaker-settings"
payload := strings.NewReader("{\n \"public_fields\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"allowed_fields": [
"<string>"
],
"public_fields": [
"<string>"
]
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "Not Found"
}{
"error": "validation failed",
"fields": {}
}Authorizations
Your API key pair from Settings › API keys: public key as the username, secret key as the password.
Path Parameters
Event ID
Body
application/json
Public fields